function s = segnale(t)
%
%function s = segnale(t)
%
%Questa funzione è utilizzata per costruire un segnale arbitrario


%definizione ampiezza e fase
a=1;%/3;
fi=0;

%sinusoide a frequenza 2Hz
f1=100;
y1 = a*sin(2*pi*f1*t + fi);

%sinusoide a frequenza 3Hz
f2=4;
y2 = a*sin(2*pi*f2*t + fi);

%sinusoide a frequenza 1.5Hz
f3=1;
y3 = a*sin(2*pi*f3*t + fi);

%somma delle sinusoidi
s = y1;% + y2 + y3;



